%define	emacsver	21.3
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages
%define	gnusdir		/usr/share/emacs/site-lisp/t-gnus
%define subver		46

Summary: Emacs/W3 - a powerful web browser works on Emacs
Name: elisp-w3
Version: 4.0
Release: 0.00%{subver}026m
License: GPL
Group: Applications/Editors
Source: ftp://ftp.xemacs.org/pub/xemacs/emacs-w3/w3-4.0pre.%{subver}.tar.gz
NoSource: 0
Patch: w3-4.0pre.46-emacs-21.patch
URL: http://www.cs.indiana.edu/elisp/w3/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, t-gnus-emacs
Requires: emacsen

%description
   Users can browse the World Wide Web from within Emacs by using
Emacs/W3.   All of the widely used (and even some not very widely
used) URL schemes are supported, and it is very easy to  add  new
methods as the need arises.

   Emacs/W3  provides some core functionality that can be readily
re-used from any program in Emacs.  Users and other package writ-
ers  are  encouraged  to  Web-enable their applications and daily
work routines with the library.

%package -n w3-emacs
Summary: Emacs/W3 - a powerful web browser works on Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}, t-gnus-emacs
PreReq: info

%description -n w3-emacs
   Users can browse the World Wide Web from within Emacs by using
Emacs/W3.   All of the widely used (and even some not very widely
used) URL schemes are supported, and it is very easy to  add  new
methods as the need arises.

   Emacs/W3  provides some core functionality that can be readily
re-used from any program in Emacs.  Users and other package writ-
ers  are  encouraged  to  Web-enable their applications and daily
work routines with the library.

%prep
%setup -q -n w3-4.0pre.%{subver}
%patch0 -p1

rm -rf %{buildroot}

%build
./configure --prefix=%{_prefix} \
	--with-emacs=emacs \
	--with-lispdir=%{e_sitedir}/w3 \
	--with-gnus=%{gnusdir}
	make

%install
make prefix=%{buildroot}%{_prefix} \
	lispdir=%{buildroot}%{e_sitedir}/w3 \
	infodir=%{buildroot}%{_infodir} \
	install

chmod 644 %{buildroot}%{_infodir}/*
mkdir -p %{buildroot}%{_datadir}/emacs/%{emacsver}/etc/w3
install -m 644 etc/default.css %{buildroot}%{_datadir}/emacs/%{emacsver}/etc/w3/

# remove
rm -f %{buildroot}/usr/share/default.css
rm -f %{buildroot}/usr/share/info/dir

%clean
rm -rf %{buildroot}

%post -n w3-emacs
/sbin/install-info %{_infodir}/w3.info.* %{_infodir}/dir --section="Emacs"
/sbin/install-info %{_infodir}/w3-faq.info.* %{_infodir}/dir --section="Emacs"

%preun -n w3-emacs
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/w3.info.* %{_infodir}/dir --section="Emacs"
	/sbin/install-info --delete %{_infodir}/w3-faq.info.* %{_infodir}/dir --section="Emacs"
fi

%files
%defattr(-, root, root)
%doc BUGS ChangeLog HOWTO INSTALL README* TODO contrib

%files -n w3-emacs
%defattr(-, root, root)
%{_datadir}/emacs/site-lisp/w3
%{_datadir}/emacs/%{emacsver}/etc/w3
%{_infodir}/*info*

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (4.0-0.0046026m)
- revised spec for enabling rpm 4.2.

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0-0.0046025m)
- rebuild against emacs-21.3
- use %%{_datadir} macro

* Wed May  8 2002 Hidetomo Machi <mcht@kondara.org>
- (4.0-0.0046024k)
- Add "Requires: %{name} = %{version}-%{release}" to emacs-w3

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (4.0-0.0046022k)
- /sbin/install-info -> info in PreReq.

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (4.0-0.0046020k)
- rebuild against emacs-21.2

* Thu Nov 22 2001 Shingo Akagaki <dora@kondara.org>
- (4.0-0.0046018k)
- info nigiri..

* Fri Nov  2 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-w3-4.0-0.0046016k)
- default.css is under %{emacsver}/etc/w3

* Fri Nov  2 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-w3-4.0-0.0046014k)
- new package
- add URL tag
- build for emacs-21.1 (corresponding patch)

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (4.0pre.46-9k)
- add %doc
- add --section="Emacs" to %post and %preun

* Thu Oct 19 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- <4.0pre.46-7k>
- changed gnus directory
- fixed permission for info files

* Sun Sep 10 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- <4.0pre.46-5k>
- applied patch for mule 4.1.
- Now build for normal directory tree, install to %buildroot.
  (otherwise, default.css won't be included in default search path.)
- use %_infodir instead of /usr/info.
- specified --with-gnus option to %build section.
  (configure script didn't recognize automatically.)
- cleaned up spec file

* Wed Jul 26 2000 MATSUDA, Daiki <dyky@df-usa.com>
- 4.0pre.46-4k
- fix for rpm-3.0.5

* Wed Jul  4 2000 SAKA Toshihide <saka@yugen.org>
- Add the summary and the description.

* Sun Jul  2 2000 SAKA Toshihide <saka@yugen.org>
- Released for GNU Emacs 20.7

* Mon Feb 28 2000 SAKA Toshihide <saka@yugen.org>
- Released for GNU Emacs 20.6.

* Sun Jan 3 2000 SAKA Toshihide <saka@yugen.org>
- 1st release.
